

const { ccclass, property } = cc._decorator;

@ccclass
export default class Player extends cc.Component {

    @property
    private speed: number = 0;


    // LIFE-CYCLE CALLBACKS:
    // onLoad () {}

    start() {
        
    }

    update(dt) {
        this.node.z -= dt * this.speed;
    }
}
